<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Demo API</title>
</head>

<body>
    <h1>Demo API</h1>
    <button id="start-button">Start</button>
    <button id="stop-button">Stop</button>
</body>
<script>
    const startButton = document.getElementById("start-button");
    const stopButton = document.getElementById("stop-button");

    startButton.addEventListener("click", (evt) => {
        console.log('On start button clicked');
        startHamp();
    });
    stopButton.addEventListener("click", (evt) => {
        console.log('On stop button clicked');
        stopHamp();
    });


    const CONNECTION_KEY = "YOUR_CONNECTION_KEY";

    function setHampMode() {
        fetch("https://www.handyfeeling.com/api/handy/v2/mode", {
            headers: {
                "accept": "application/json",
                "Content-Type": "application/json",
                "X-Connection-Key": CONNECTION_KEY
            },
            method: "PUT",
            body: JSON.stringify({
                "mode": 0
            })
        })
    }
    setHampMode();

    function startHamp() {
        fetch("https://www.handyfeeling.com/api/handy/v2/hamp/start", {
            headers: {
                "accept": "application/json",
                "Content-Type": "application/json",
                "X-Connection-Key": CONNECTION_KEY
            },
            method: "PUT",
        })
    }
    function stopHamp() {
        fetch("https://www.handyfeeling.com/api/handy/v2/hamp/stop", {
            headers: {
                "accept": "application/json",
                "Content-Type": "application/json",
                "X-Connection-Key": CONNECTION_KEY
            },
            method: "PUT",
        })
    }

</script>

</html>